Loading...
Searching...
No Matches
casacore::Adios2StMan::impl Class Reference

`#include <Adios2StManImpl.h>`

## Public Member Functions

| impl (Adios2StMan &parent, void *mpiComm, std::string engineType, std::map< std::string, std::string > engineParams, std::vector< std::map< std::string, std::string > > transportParams, std::vector< std::map< std::string, std::string > > operatorParams, std::string configFile)
| ~impl ()
void | checkMPI () const
DataManager * | clone () const
String | dataManagerType () const
String | dataManagerName () const
void | setDataManagerName (const String &aName)
void | create64 (rownr_t aNrRows)
rownr_t | open64 (rownr_t aRowNr, AipsIO &ios)
rownr_t | resync64 (rownr_t aRowNr)
Bool | flush (AipsIO &ios, Bool doFsync)
DataManagerColumn * | makeColumnCommon (const String &aName, int aDataType, const String &aDataTypeID)
DataManagerColumn * | makeScalarColumn (const String &aName, int aDataType, const String &aDataTypeID)
DataManagerColumn * | makeDirArrColumn (const String &aName, int aDataType, const String &aDataTypeID)
DataManagerColumn * | makeIndArrColumn (const String &aName, int aDataType, const String &aDataTypeID)
void | deleteManager ()
void | addRow64 (rownr_t aNrRows)
Record | dataManagerSpec () const
rownr_t | getNrRows ()

## Static Public Member Functions

static DataManager * | makeObject (const String &aDataManType, const Record &spec)

## Private Member Functions

void | configureAdios ()
uInt | ncolumn () const
String | fileName () const

## Private Attributes

Adios2StMan & | parent
String | itsDataManName
rownr_t | itsRows
PtrBlock< Adios2StManColumn * > | itsColumnPtrBlk
std::shared_ptr< adios2::ADIOS > | itsAdios
std::shared_ptr< adios2::IO > | itsAdiosIO
std::shared_ptr< adios2::Engine > | itsAdiosEngine
std::string | itsAdiosEngineType
| The ADIOS2 Engine type.
adios2::Params | itsAdiosEngineParams
| Parameters for the ADIOS2 engine.
std::vector< adios2::Params > | itsAdiosTransportParamsVec
| Parameters for the ADIOS2 transports.
std::vector< adios2::Params > | itsAdiosOperatorParamsVec
| Parameters for the ADIOS2 operators (compressors).
std::string | itsAdiosConfigFile
| The ADIOS2 XML configuration file.

## Static Private Attributes

static MPI_Comm | itsMpiComm
| MPI communicator to be used by all instances of this storage manager.
static constexpr const char * | DATA_MANAGER_TYPE
| The type of this storage manager.
static constexpr const char * | SPEC_FIELD_XML_FILE
| The name of the specification field for the ADIOS2 XML configuration file.
static constexpr const char * | SPEC_FIELD_ENGINE_TYPE
| The name of the specification field for the ADIOS2 engine type.
static constexpr const char * | SPEC_FIELD_ENGINE_PARAMS
| The name of the specification field for the ADIOS2 engine parameters.
static constexpr const char * | SPEC_FIELD_TRANSPORT_PARAMS
| The name of the specification field for the ADIOS2 transport parameters.
static constexpr const char * | SPEC_FIELD_OPERATOR_PARAMS
| The name of the specification field for the ADIOS2 operator parameters.

## Detailed Description

Definition at line 41 of file Adios2StManImpl.h.

## Constructor & Destructor Documentation

## impl()

casacore::Adios2StMan::impl::impl | ( | Adios2StMan & | parent,
|  | void * | mpiComm,
|  | std::string | engineType,
|  | std::map< std::string, std::string > | engineParams,
|  | std::vector< std::map< std::string, std::string > > | transportParams,
|  | std::vector< std::map< std::string, std::string > > | operatorParams,
|  | std::string | configFile )

References casacore::Adios2StMan::Adios2StMan(), and parent.

## ~impl()

casacore::Adios2StMan::impl::~impl | ( |  | ) |

## Member Function Documentation

## addRow64()

void casacore::Adios2StMan::impl::addRow64 | ( | rownr_t | aNrRows | ) |

## checkMPI()

void casacore::Adios2StMan::impl::checkMPI | ( |  | ) | const

## clone()

DataManager * casacore::Adios2StMan::impl::clone | ( |  | ) | const

References casacore::DataManager::DataManager().

## configureAdios()

void casacore::Adios2StMan::impl::configureAdios | ( |  | ) |

private

## create64()

void casacore::Adios2StMan::impl::create64 | ( | rownr_t | aNrRows | ) |

## dataManagerName()

String casacore::Adios2StMan::impl::dataManagerName | ( |  | ) | const

## dataManagerSpec()

Record casacore::Adios2StMan::impl::dataManagerSpec | ( |  | ) | const

References casacore::Record().

## dataManagerType()

String casacore::Adios2StMan::impl::dataManagerType | ( |  | ) | const

## deleteManager()

void casacore::Adios2StMan::impl::deleteManager | ( |  | ) |

## fileName()

String casacore::Adios2StMan::impl::fileName | ( |  | ) | const

inline private

Definition at line 126 of file Adios2StManImpl.h.

References parent.

## flush()

Bool casacore::Adios2StMan::impl::flush | ( | AipsIO & | ios,
|  | Bool | doFsync )

## getNrRows()

rownr_t casacore::Adios2StMan::impl::getNrRows | ( |  | ) |

## makeColumnCommon()

DataManagerColumn * casacore::Adios2StMan::impl::makeColumnCommon | ( | const String & | aName,
|  | int | aDataType,
|  | const String & | aDataTypeID )

## makeDirArrColumn()

DataManagerColumn * casacore::Adios2StMan::impl::makeDirArrColumn | ( | const String & | aName,
|  | int | aDataType,
|  | const String & | aDataTypeID )

## makeIndArrColumn()

DataManagerColumn * casacore::Adios2StMan::impl::makeIndArrColumn | ( | const String & | aName,
|  | int | aDataType,
|  | const String & | aDataTypeID )

## makeObject()

DataManager * casacore::Adios2StMan::impl::makeObject | ( | const String & | aDataManType,
|  | const Record & | spec )

static

References casacore::DataManager::DataManager(), and casacore::Record().

## makeScalarColumn()

DataManagerColumn * casacore::Adios2StMan::impl::makeScalarColumn | ( | const String & | aName,
|  | int | aDataType,
|  | const String & | aDataTypeID )

## ncolumn()

uInt casacore::Adios2StMan::impl::ncolumn | ( |  | ) | const

inline private

Definition at line 125 of file Adios2StManImpl.h.

References parent.

## open64()

rownr_t casacore::Adios2StMan::impl::open64 | ( | rownr_t | aRowNr,
|  | AipsIO & | ios )

## resync64()

rownr_t casacore::Adios2StMan::impl::resync64 | ( | rownr_t | aRowNr | ) |

## setDataManagerName()

void casacore::Adios2StMan::impl::setDataManagerName | ( | const String & | aName | ) |

## Member Data Documentation

## DATA_MANAGER_TYPE

const char* casacore::Adios2StMan::impl::DATA_MANAGER_TYPE

static constexpr private

The type of this storage manager.

Definition at line 112 of file Adios2StManImpl.h.

## itsAdios

std::shared_ptr<adios2::ADIOS> casacore::Adios2StMan::impl::itsAdios

private

Definition at line 91 of file Adios2StManImpl.h.

## itsAdiosConfigFile

std::string casacore::Adios2StMan::impl::itsAdiosConfigFile

private

The ADIOS2 XML configuration file.

Definition at line 109 of file Adios2StManImpl.h.

## itsAdiosEngine

std::shared_ptr<adios2::Engine> casacore::Adios2StMan::impl::itsAdiosEngine

private

Definition at line 93 of file Adios2StManImpl.h.

## itsAdiosEngineParams

adios2::Params casacore::Adios2StMan::impl::itsAdiosEngineParams

private

Parameters for the ADIOS2 engine.

Definition at line 103 of file Adios2StManImpl.h.

## itsAdiosEngineType

std::string casacore::Adios2StMan::impl::itsAdiosEngineType

private

The ADIOS2 Engine type.

Definition at line 101 of file Adios2StManImpl.h.

## itsAdiosIO

std::shared_ptr<adios2::IO> casacore::Adios2StMan::impl::itsAdiosIO

private

Definition at line 92 of file Adios2StManImpl.h.

## itsAdiosOperatorParamsVec

std::vector<adios2::Params> casacore::Adios2StMan::impl::itsAdiosOperatorParamsVec

private

Parameters for the ADIOS2 operators (compressors).

Definition at line 107 of file Adios2StManImpl.h.

## itsAdiosTransportParamsVec

std::vector<adios2::Params> casacore::Adios2StMan::impl::itsAdiosTransportParamsVec

private

Parameters for the ADIOS2 transports.

Definition at line 105 of file Adios2StManImpl.h.

## itsColumnPtrBlk

PtrBlock<Adios2StManColumn *> casacore::Adios2StMan::impl::itsColumnPtrBlk

private

Definition at line 89 of file Adios2StManImpl.h.

## itsDataManName

String casacore::Adios2StMan::impl::itsDataManName

private

Definition at line 87 of file Adios2StManImpl.h.

## itsMpiComm

MPI_Comm casacore::Adios2StMan::impl::itsMpiComm

static private

MPI communicator to be used by all instances of this storage manager.

Definition at line 97 of file Adios2StManImpl.h.

## itsRows

rownr_t casacore::Adios2StMan::impl::itsRows

private

Definition at line 88 of file Adios2StManImpl.h.

## parent

Adios2StMan& casacore::Adios2StMan::impl::parent

private

Definition at line 86 of file Adios2StManImpl.h.

Referenced by fileName(), impl(), and ncolumn().

## SPEC_FIELD_ENGINE_PARAMS

const char* casacore::Adios2StMan::impl::SPEC_FIELD_ENGINE_PARAMS

static constexpr private

The name of the specification field for the ADIOS2 engine parameters.

Definition at line 118 of file Adios2StManImpl.h.

## SPEC_FIELD_ENGINE_TYPE

const char* casacore::Adios2StMan::impl::SPEC_FIELD_ENGINE_TYPE

static constexpr private

The name of the specification field for the ADIOS2 engine type.

Definition at line 116 of file Adios2StManImpl.h.

## SPEC_FIELD_OPERATOR_PARAMS

const char* casacore::Adios2StMan::impl::SPEC_FIELD_OPERATOR_PARAMS

static constexpr private

The name of the specification field for the ADIOS2 operator parameters.

Definition at line 122 of file Adios2StManImpl.h.

## SPEC_FIELD_TRANSPORT_PARAMS

const char* casacore::Adios2StMan::impl::SPEC_FIELD_TRANSPORT_PARAMS

static constexpr private

The name of the specification field for the ADIOS2 transport parameters.

Definition at line 120 of file Adios2StManImpl.h.

## SPEC_FIELD_XML_FILE

const char* casacore::Adios2StMan::impl::SPEC_FIELD_XML_FILE

static constexpr private

The name of the specification field for the ADIOS2 XML configuration file.

Definition at line 114 of file Adios2StManImpl.h.

The documentation for this class was generated from the following file:

- tables/DataMan/Adios2StManImpl.h